<?xml version="1.0" encoding="UTF-8"?><assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
    <id>bin</id>
    <includeBaseDirectory>false</includeBaseDirectory>
    <formats>
        <format>zip</format>
    </formats>
    <files>
        <file>
            <!-- jobInfo.properties -->
            <source>${basedir}/src/main/templates/jobInfo_template.properties
			</source>
            <outputDirectory>.</outputDirectory>
            <destName>jobInfo.properties</destName>
            <filtered>true</filtered>
        </file>
        <file>
            <!-- sh -->
            <source>${basedir}/src/main/templates/Job_run_template.sh</source>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <destName>${talend.job.name}_run.sh</destName>
            <filtered>true</filtered>
        </file>
        <file>
            <!-- bat -->
            <source>${basedir}/src/main/templates/Job_run_template.bat</source>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <destName>${talend.job.name}_run.bat</destName>
            <filtered>true</filtered>
        </file>
        <file>
            <!-- ps1 -->
            <source>${basedir}/src/main/templates/Job_run_template.ps1</source>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <destName>${talend.job.name}_run.ps1</destName>
            <filtered>true</filtered>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/dom4j/dom4j/2.1.3/dom4j-2.1.3.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>dom4j-2.1.3.jar</destName>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/apache/logging/log4j/log4j-core/2.13.2/log4j-core-2.13.2.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>log4j-core-2.13.2.jar</destName>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/jboss/marshalling/jboss-marshalling/2.0.12.Final/jboss-marshalling-2.0.12.Final.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>jboss-marshalling-2.0.12.Final.jar</destName>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/apache/logging/log4j/log4j-slf4j-impl/2.13.2/log4j-slf4j-impl-2.13.2.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>log4j-slf4j-impl-2.13.2.jar</destName>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/talend/components/lib/talend_file_enhanced/1.1/talend_file_enhanced-1.1.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>talend_file_enhanced-1.1.jar</destName>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/apache/logging/log4j/log4j-api/2.13.2/log4j-api-2.13.2.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>log4j-api-2.13.2.jar</destName>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/talend/daikon/crypto-utils/0.31.12/crypto-utils-0.31.12.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>crypto-utils-0.31.12.jar</destName>
        </file>
        <file>
            <source>/home/bouso/Téléchargements/Talend-Studio-20211109_1610-V8.0.1/configuration/.m2/repository/org/slf4j/slf4j-api/1.7.29/slf4j-api-1.7.29.jar</source>
            <outputDirectory>lib</outputDirectory>
            <destName>slf4j-api-1.7.29.jar</destName>
        </file>
    </files>
    <fileSets>
        <fileSet>
            <!-- templates -->
            <directory>${templates.dir}</directory>
            <outputDirectory>${talend.job.name}/src/main/templates/
			</outputDirectory>
            <includes>
                <include>**</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- log4j resources -->
            <directory>${log4j.resources.dir}</directory>
            <outputDirectory>${output.resources.dir}/
			</outputDirectory>
            <includes>
                <include>log4j.xml</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- log4j.xml for running -->
            <directory>${log4j.running.dir}</directory>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <includes>
                <include>log4j.xml</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- xmlMappings resources -->
            <directory>${xmlMappings.resources.dir}</directory>
            <outputDirectory>${output.resources.dir}/xmlMappings/
			</outputDirectory>
            <includes>
                <include>**/*.*</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- xmlMappings for running -->
            <directory>${xmlMappings.running.dir}</directory>
            <outputDirectory>${talend.job.name}/xmlMappings/
			</outputDirectory>
            <includes>
                <include>**/*.*</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- rules resources -->
            <directory>${rules.resources.dir}</directory>
            <outputDirectory>${output.resources.dir}/rules/
			</outputDirectory>
            <includes>
                <include>**/*.*</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- assembly_*.xml -->
            <directory>${assemblies.dir}</directory>
            <outputDirectory>${talend.job.name}/src/main/assemblies/
			</outputDirectory>
            <includes>
                <include>assembly.xml</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- pom_*.xml -->
            <directory>${poms.dir}</directory>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <includes>
                <include>pom.xml</include>
            </includes>
        </fileSet>
        <fileSet>
            <!--parent pom.xml -->
            <directory>${parentpom.dir}</directory>
            <outputDirectory>.</outputDirectory>
            <includes>
                <include>pom.xml</include>
            </includes>
        </fileSet>
        <fileSet>
            <!--routines code -->
            <directory>${routinescode.dir}</directory>
            <outputDirectory>code/routines/src/main</outputDirectory>
            <includes>
                <include>**/**/*.*</include>
            </includes>
        </fileSet>
        <fileSet>
            <!--routines pom -->
            <directory>${routinespom.dir}</directory>
            <outputDirectory>code/routines/</outputDirectory>
            <includes>
                <include>pom.xml</include>
            </includes>
        </fileSet>
        <fileSet>
            <!--pigudf code -->
            <directory>${pigudfcode.dir}</directory>
            <outputDirectory>code/pigudf/src/main</outputDirectory>
            <includes>
                <include>**/**/*.*</include>
            </includes>
        </fileSet>
        <fileSet>
            <!--pifudf pom -->
            <directory>${pigudfpom.dir}</directory>
            <outputDirectory>code/pigudf/</outputDirectory>
            <includes>
                <include>pom.xml</include>
            </includes>
        </fileSet>
        <fileSet>
            <!--joblet -->
            <directory>${joblet.dir}</directory>
            <outputDirectory>jobs/</outputDirectory>
            <includes>
                <include>joblets*/**/*.*</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- add items -->
            <directory>${items.dir}</directory>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <includes>
                <include>**</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- add java source codes -->
            <directory>${sourcecodes.dir}</directory>
            <outputDirectory>${talend.job.name}/src/main/java/</outputDirectory>
            <includes>
                <include>${talend.job.path}/**</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- add context resources -->
            <directory>${resources.dir}</directory>
            <outputDirectory>${output.resources.dir}/
			</outputDirectory>
            <includes>
                <include>${talend.job.path}/**</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- add test source codes -->
            <directory>${test.sourcecodes.dir}</directory>
            <outputDirectory>${talend.job.name}/src/test/java/</outputDirectory>
            <includes>
                <include>${talend.job.path}/**</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- add test context resources -->
            <directory>${test.resources.dir}</directory>
            <outputDirectory>${talend.job.name}/src/test/resources/
			</outputDirectory>
            <includes>
                <include>${talend.job.path}/**</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- junits reports -->
            <directory>${test.reports.dir}</directory>
            <outputDirectory>sunfire-reports</outputDirectory>
            <includes>
                <include>**/*.*</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- add all resources for running -->
            <directory>${contexts.running.dir}</directory>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <includes>
                <include>**/*.*</include>
            </includes>
        </fileSet>
        <!-- If have children jobs, will add here -->
        <fileSet>
            <!-- microservice config files -->
            <directory>${microservice.configs.dir}</directory>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <includes>
                <include>config/**</include>
            </includes>
        </fileSet>
        <fileSet>
            <!-- microservice running config files -->
            <directory>${microservice.running.configs.dir}</directory>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <includes>
                <include>config/**</include>
            </includes>
        </fileSet>
    </fileSets>
    <dependencySets>
        <dependencySet>
            <outputDirectory>lib</outputDirectory>
            <includes>
                <include>org.talend.libraries:cxf-rt-rs-client-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-rs-security-oauth2-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-frontend-jaxrs-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-transports-http-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-saml-impl-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:joda-time-2.9:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-xacml-api-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-xacml-saml-api-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:wss4j-ws-security-dom-2.3.2:jar:6.0.0</include>
                <include>org.talend.libraries:wss4j-ws-security-stax-2.3.0:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-xmlsec-impl-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-features-logging-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:xom-1.2.7:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-saml-api-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-xmlsec-api-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-security-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:javax.wsdl_1.6.2.v201012040545:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-profile-api-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-soap-api-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:xmlsec-2.2.0:jar:6.0.0</include>
                <include>org.talend.libraries:ezmorph-1.0.6:jar:6.0.0</include>
                <include>org.talend.libraries:stax2-api-3.1.4:jar:6.0.0</include>
                <include>org.talend.libraries:wss4j-ws-security-policy-stax-2.3.0:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-security-api-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:wss4j-policy-2.3.0:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-security-saml-3.4.4:jar:6.0.0</include>
                <include>org.example.apex_omnicanal.code:routines:jar:8.0.1</include>
                <include>org.talend.libraries:woodstox-core-asl-4.4.1:jar:6.0.0</include>
                <include>org.talend.libraries:json-path-2.1.0:jar:6.0.0</include>
                <include>org.talend.libraries:jasypt-1.9.3:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-ws-security-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-wsdl-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:cryptacular-1.2.4:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-bindings-soap-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:commons-codec-1.15:jar:6.0.0</include>
                <include>org.talend.libraries:commons-logging-1.1.1:jar:6.0.0</include>
                <include>org.talend.libraries:jettison-1.4.1:jar:6.0.0</include>
                <include>org.talend.libraries:security-common-8.0.1:jar:6.0.0</include>
                <include>org.talend.libraries:wss4j-bindings-2.3.0:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-xacml-impl-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-databinding-jaxb-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-core-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-security-impl-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:opensaml-xacml-saml-impl-3.4.5:jar:6.0.0</include>
                <include>org.talend.libraries:cxf-rt-rs-extension-providers-3.4.4:jar:6.0.0</include>
                <include>org.talend.libraries:ehcache-3.8.1:jar:6.0.0</include>
            </includes>
            <outputFileNameMapping>${artifact.artifactId}.${artifact.extension}</outputFileNameMapping>
            <useProjectArtifact>false</useProjectArtifact>
        </dependencySet>
        <dependencySet>
            <outputDirectory>lib</outputDirectory>
            <includes>
                <include>org.springframework:spring-aop:jar:5.3.8</include>
                <include>org.talend.components.lib:job-audit:jar:1.4</include>
                <include>org.springframework:spring-context:jar:5.3.8</include>
                <include>org.springframework:spring-web:jar:5.3.8</include>
                <include>org.apache.ws.xmlschema:xmlschema-core:jar:2.2.5</include>
                <include>org.apache.logging.log4j:log4j-jcl:jar:2.13.2</include>
                <include>com.google.guava:guava:jar:30.0-jre</include>
                <include>org.springframework:spring-webmvc:jar:5.3.8</include>
                <include>commons-beanutils:commons-beanutils:jar:1.9.4</include>
                <include>jakarta.xml.soap:jakarta.xml.soap-api:jar:1.4.1</include>
                <include>org.apache.cxf:cxf-core:jar:3.4.4</include>
                <include>net.minidev:accessors-smart:jar:2.4.7</include>
                <include>commons-logging:commons-logging:jar:1.2</include>
                <include>jakarta.jws:jakarta.jws-api:jar:1.1.1</include>
                <include>org.bouncycastle:bcprov-jdk15on:jar:1.69</include>
                <include>jakarta.annotation:jakarta.annotation-api:jar:1.3.5</include>
                <include>com.sun.activation:javax.activation:jar:1.2.0</include>
                <include>org.talend.daikon:audit-log4j2:jar:1.16.1</include>
                <include>com.sun.istack:istack-commons-runtime:jar:3.0.10</include>
                <include>commons-collections:commons-collections:jar:3.2.2</include>
                <include>org.jvnet.staxex:stax-ex:jar:1.8.3</include>
                <include>org.apache.neethi:neethi:jar:3.1.1</include>
                <include>jakarta.xml.bind:jakarta.xml.bind-api:jar:2.3.3</include>
                <include>aopalliance:aopalliance:jar:1.0</include>
                <include>org.apache.wss4j:wss4j-ws-security-common:jar:2.3.0</include>
                <include>net.minidev:json-smart:jar:2.4.7</include>
                <include>org.apache.commons:commons-lang3:jar:3.10</include>
                <include>jaxen:jaxen:jar:1.1.6</include>
                <include>org.ow2.asm:asm:jar:9.1</include>
                <include>org.springframework:spring-core:jar:5.3.8</include>
                <include>org.talend.daikon:logging-event-layout:jar:1.16.1</include>
                <include>commons-lang:commons-lang:jar:2.6</include>
                <include>org.springframework:spring-expression:jar:5.3.8</include>
                <include>org.springframework:spring-beans:jar:5.3.8</include>
                <include>org.glassfish.jaxb:jaxb-runtime:jar:2.3.2</include>
                <include>net.sf.json-lib:json-lib:jar:2.4.6-talend</include>
                <include>javax.ws.rs:javax.ws.rs-api:jar:2.1</include>
                <include>org.glassfish.jaxb:txw2:jar:2.3.3</include>
                <include>org.apache.servicemix.specs:org.apache.servicemix.specs.jaxws-api-2.2:jar:2.9.0</include>
                <include>org.talend.daikon:audit-common:jar:1.16.1</include>
            </includes>
            <useProjectArtifact>false</useProjectArtifact>
        </dependencySet>
        <dependencySet>
            <outputDirectory>${talend.job.name}</outputDirectory>
            <includes>
                <include>org.example.apex_omnicanal.job:token:jar:0.1.0</include>
            </includes>
            <outputFileNameMapping>${artifact.build.finalName}.${artifact.extension}</outputFileNameMapping>
            <useProjectArtifact>true</useProjectArtifact>
        </dependencySet>
    </dependencySets>
</assembly>
